com.informix.jdbc

## Interface ParameterMetaData2

All Superinterfaces:
  java.sql.ParameterMetaData, java.sql.Wrapper

Deprecated.

    @Deprecated
    public interface ParameterMetaData2
    extends java.sql.ParameterMetaData

### Field Summary

Fields
`static int` `parameterModeIn` Deprecated.
`static int` `parameterModeIOut` Deprecated.
`static int` `parameterModeOut` Deprecated.

### Fields inherited from interface java.sql.ParameterMetaData

`parameterModeInOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

### Method Summary

### Methods inherited from interface java.sql.ParameterMetaData

`getParameterClassName, getParameterCount, getParameterMode, getParameterType, getParameterTypeName, getPrecision, getScale, isNullable, isSigned`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Field Detail

#### parameterModeIn

    static final int parameterModeIn

Deprecated.

See Also:
  Constant Field Values

#### parameterModeIOut

    static final int parameterModeIOut

Deprecated.

See Also:
  Constant Field Values

#### parameterModeOut

    static final int parameterModeOut

Deprecated.

See Also:
  Constant Field Values